{% assign description_tabs = '' %}
{% if product.description contains '<hr/>' %}
  {% assign description_tabs = product.description | split: '<hr/>' %}
{% endif %}

{% if description_tabs.size > 0 %}
  <div class="product-description">
    {% for tab in description_tabs %}
      {% if forloop.first %}
        {% continue %}
      {% endif %}
      {% if tab contains "</h2>" %}
        {% assign tab_title = tab | split: '</h2>' | first | strip_html %}
        {% assign tab_content = tab | split: '</h2>' | last %}

        <div class="description-dropdown">
          <button aria-label="{{ tab_title }}" class="button" data-description-dropdown type="button">{{ tab_title }}</button>
          <div class="content">
            <div class="text">{{ tab_content | replace: '<table', '<table class="table"' | replace: '<h1', '<h2' }}</div>
          </div>
        </div>
      {% endif %}
    {% endfor %}
  </div>
{% endif %}
